assert node.has_bundle('infobeamer-cms') # uses same venv

files['/opt/infobeamer-monitor/config.toml'] = {
    'content_type': 'mako',
    'context': {
        'config': node.metadata.get('infobeamer-monitor'),
    },
    'triggers': {
        'svc_systemd:infobeamer-monitor:restart',
    },
}

files['/opt/infobeamer-monitor/monitor.py'] = {
    'mode': '0755',
    'triggers': {
        'svc_systemd:infobeamer-monitor:restart',
    },
}

files['/usr/local/lib/systemd/system/infobeamer-monitor.service'] = {
    'triggers': {
        'action:systemd-reload',
        'svc_systemd:infobeamer-monitor:restart',
    },
}

svc_systemd['infobeamer-monitor'] = {
    'needs': {
        'file:/opt/infobeamer-monitor/config.toml',
        'file:/opt/infobeamer-monitor/monitor.py',
        'file:/usr/local/lib/systemd/system/infobeamer-monitor.service',
    },
}
