files['/etc/oidentd.conf'] =  {
    'content_type': 'mako',
    'triggers': {
        'svc_systemd:oidentd:restart',
    },
}

files['/usr/local/lib/systemd/system/oidentd.service'] = {
    'triggers': {
        'action:systemd-reload',
        'svc_systemd:oidentd:restart',
    },
}

svc_systemd['oidentd'] = {
    'needs': {
        'pkg_apt:oidentd',
        'file:/etc/oidentd.conf',
        'file:/usr/local/lib/systemd/system/oidentd.service',
    },
}

svc_systemd['oidentd.socket'] = {
    'running': False,
    'enabled': False,
}
